APIAPI Reference
Short Links
/short-links
Create a short link with optional conversation context. Context is merged into the conversation when created via this short link. Requires API key with connections:write scope.
Authorization
apiKeyAuth AuthorizationBearer <token>
Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...
In: header
Request Body
application/json
Short link creation parameters
connection_code*string
Length
1 <= lengthslug?string
Match
^[a-zA-Z0-9-]+$Length
1 <= length <= 100context?
query_params?
expires_at?string
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.tellcasey.com/v1/backend/short-links" \ -H "Content-Type: application/json" \ -d '{ "connection_code": "string" }'{
"data": {
"id": "string",
"slug": "string",
"url": "string",
"connection_code": "string",
"context": null,
"query_params": null,
"expires_at": "string",
"created_at": "string"
}
}{
"data": null,
"error": {
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
},
"meta": {
"request_id": "string",
"timestamp": "string"
}
}{
"data": null,
"error": {
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
},
"meta": {
"request_id": "string",
"timestamp": "string"
}
}{
"data": null,
"error": {
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
},
"meta": {
"request_id": "string",
"timestamp": "string"
}
}{
"data": null,
"error": {
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
},
"meta": {
"request_id": "string",
"timestamp": "string"
}
}